<?php
/**
 * Template part for displaying results in search pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Inc
 */

?>

<?php global $inc_settings; ?>

<div <?php post_class('post'); ?>>
	<?php if ( !has_post_format( 'quote' ) ) { // for not format quote ?>

		<header class="entry-header">
			<?php if ( 'post' === get_post_type() && !has_post_format('link') ) { ?>

				<div class="entry-meta">
					<div class="date styled-date">
						<span class="day"><?php echo esc_html(get_the_date('j')); ?></span>
						<?php echo esc_html(get_the_date('F, Y')); ?>
					</div><!-- .date -->
				</div><!-- .entry-meta -->

			<?php } ?>

			<?php the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );

			if ( 'post' === get_post_type() && !has_post_format('link') ) { ?>

				<div class="entry-meta">
					<div class="author">
						<span class="label"><?php esc_html_e('by', 'inc'); ?></span>
						<?php inc_posted_author();?>
					</div><!-- .author -->
				</div><!-- .entry-meta -->

			<?php } ?>
		</header><!-- .entry-header -->

	<?php } ?>

	<div class="entry-content">
		<?php if ( !(has_post_format('link') || has_post_format('quote')) ) {

			the_excerpt();

			if ( str_word_count( strip_tags( get_the_content() ) ) > str_word_count( get_the_excerpt() ) ) { ?>
				<a href="<?php the_permalink(); ?>" class="btn btn-light btn-readmore btn-rounded btn-icon-right"><?php esc_html_e('Read More','inc'); ?> <i class="fa fa-arrow-right icon"></i></a>
			<?php }

		} else {
			the_content();
		} ?>
	</div><!-- .entry-content -->
</div><!-- .post -->
